<?php

require 'PHPMailer/src/PHPMailer.php';
require 'PHPMailer/src/SMTP.php';
require 'PHPMailer/src/Exception.php';

use PHPMailer\PHPMailer\PHPMailer;
use PHPMailer\PHPMailer\Exception;

class Email {

function enviarRelatorio($arquivo, $empresa, $cnpj, $destinatario, $numeroPedido, $usuario,$razao,$representante): bool|string{


        $mail = new PHPMailer(true);
        
        $dataAtual  = Date('d-m-Y H:i:s');

        try {
            // Configurações do servidor
            $mail->isSMTP();
            $mail->Host       = 'smtp.gmail.com';
            $mail->SMTPAuth   = true;
            $mail->Username   = 'casadocabeleireirocompras@gmail.com';         // Seu Gmail
            $mail->Password   = 'tkqwbrqendpdnsca ';           // App Password do Gmail
            $mail->SMTPSecure = 'tls';
            $mail->Port       = 587;

            // Remetente e destinatário
            $mail->setFrom('santostimoteo21@gmail.com', 'COMPRAS CASA DO CABELEIREIRO');

            $mail->addAddress($destinatario, $representante);
            $mail->addCustomHeader('Delivery-Status-Notification-To', 'casadocabeleireirocompras@gmail.com');

            // Conteúdo
            $mail->isHTML(true);
            $mail->Subject = "CASA DO CABELEIREIRO - PEDIDO - $numeroPedido - $empresa - $cnpj";
            
           $mail->Body = "
             <p><i>$dataAtual - $usuario</i></p>

              <p>Pedido de numero: <strong>$numeroPedido</strong> $razao</p>

              <table border='1' cellpadding='5' cellspacing='0'>

                  <tr style='text-align:center; background-color:#f0f0f0;'>

                      <th>RAZAO</th>
                      <th>FANTASIA</th>                      
                      <th>CNPJ</th>
                  </tr>
                  <tr>
                      <td>$razao</td>
                      <td>$empresa</td>
                      <td>$cnpj</td>
                  </tr>
              </table>
            
              <p><strong>Nao responder este e-mail. Caso necessario, envie para: compras.casadocabeleireiro@hotmail.com</strong></p>

              <p style='color:red !important;' > Por favor confirmar recebimento deste pedido com a compradora! </p>";
            
             $mail->AltBody = "Pedido - $numeroPedido -  em anexo";

            // Anexo
            $mail->addAttachment("$arquivo"); // Caminho do arquivo
            $mail->send();

         return true;

        } catch (Exception $e) {

            return $mail->ErrorInfo;
        }

        }
}

//objeto email
$EmailInstancia = new Email();
